Package fr.gouv.vitam.processing.common.exception

# Class ProcessingManifestReferenceException

java.lang.Object
java.lang.Throwable
java.lang.Exception
fr.gouv.vitam.common.exception.VitamException
fr.gouv.vitam.processing.common.exception.ProcessingException
fr.gouv.vitam.processing.common.exception.ProcessingManifestReferenceException

All Implemented Interfaces:
  `Serializable`

public class ProcessingManifestReferenceException extends ProcessingException
Define a Processing Exception to be thrown when an error with reference occurred in the manifest, not a fatal error

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProcessingManifestReferenceException(String message, String manifestId, ExceptionType type)`
  `ProcessingManifestReferenceException(String message, String manifestId, String unitGuid, String unitParentId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getManifestId()`
  `ExceptionType`
  `getType()`
  `String`
  `getUnitGuid()`
  `String`
  `getUnitParentId()`

  ### Methods inherited from class fr.gouv.vitam.common.exception.VitamException

  `getVitamError, setVitamError`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ProcessingManifestReferenceException

    public ProcessingManifestReferenceException(String message, String manifestId, String unitGuid, String unitParentId)

  - ### ProcessingManifestReferenceException

    public ProcessingManifestReferenceException(String message, String manifestId, ExceptionType type)

- ## Method Details

  - ### getManifestId

    public String getManifestId()

  - ### getUnitGuid

    public String getUnitGuid()

  - ### getUnitParentId

    public String getUnitParentId()

  - ### getType

    public ExceptionType getType()